# SPDX-License-Identifier: GPL-2.0-or-later

from vse_toolbox.operators import (addon, casting, imports, exports, sequencer,
                                   spreadsheet, tracker)

modules = (
    addon,
    casting,
    imports,
    exports,
    sequencer,
    spreadsheet,
    tracker
)

if 'bpy' in locals():
    import importlib

    for mod in modules:
        importlib.reload(mod)

import bpy

def register():
    for mod in modules:
        mod.register()

def unregister():
    for mod in modules:
        mod.unregister()